
package de.ivu.elect.business.gruppe.control;

import java.io.Serializable;
import java.util.Comparator;

import de.ivu.elect.business.gruppe.entity.Gruppe;

public class GruppeByIsSystemGruppeComparator implements Comparator<Gruppe>, Serializable {

  private static final long serialVersionUID = 1L;

  @Override
  public int compare(Gruppe one, Gruppe another) {
    if (one == null) {
      if (another == null) {
        return 0;
      }
      return 1;
    }
    if (another == null) {
      return -1;
    }

    if (one.isSystemGruppe()) {
      if (another.isSystemGruppe()) {
        return 0;
      }
      return -1;
    }
    if (another.isSystemGruppe()) {
      return 1;
    }

    return 0;
  }

}
